import { Skeleton, Box } from '@mui/material';
import React from 'react'
const big_as = 50

export function Candidato (props) {
    let { password,puesto,DPI, aplicacion,pendientes } = props.user

    return(
        <div className="data_candidato">
            <div className="row">
                <div className="col20">
                    <p>{ password }</p>
                </div>
                <div className="col20">
                    <p>{ puesto }</p>
                </div>
                <div className="col20">
                    <p>{ DPI }</p>
                </div>
                <div className="col20">
                    <p>{ aplicacion }</p>
                </div>
                <div className="col20">
                    <p>{ pendientes }</p>
                </div>
            </div>
        </div>
    )
}

export function Preview() {
    return(
        <Box sx={{ width: '100%'}}>
            <Skeleton height={big_as} animation="wave" />
            <Skeleton height={big_as} animation="wave" />
            <Skeleton height={big_as} animation="wave" />
            <Skeleton height={big_as} animation="wave" />
            <Skeleton height={big_as} animation="wave" />
            <Skeleton height={big_as} animation="wave" />
            <Skeleton height={big_as} animation="wave" />
            <Skeleton height={big_as} animation="wave" />
        </Box>
    )
}
