import axios from 'axios';

export class Service {

    constructor(path){
        this.base_url = 'http://204.48.25.93:8081'
        this.url =  this.base_url + path
        // this.base_url = 'http://psicoadmin.ditca.org:8081'
        // this.api =  'http://204.48.25.93:8081/user?user=patrik&password=12345'
        // this.api =  'http://psicoadmin.ditca.org:8081/user?user=patrik&password=12345'
    }

    async get(token){
        return axios.get(this.url, {
            headers: {
                'Authorization': `Bearer ${token}`
            }
        })
        .then((res) => {
            return res;
        })
        .catch((error) => {
            return error;
        })
    }


    async get_(token){

        console.log('MY TOKEN ::', token)
        console.log('MY URL ::', this.url)


        let response = await fetch(this.url, {
            headers: new Headers({
                // "Hwjst" : location.hostname,
                'Authorization': 'Bearer '+ token,
            })
        })
        return await response.json(); 

    }

    async post(body, token){

        if(!token){
            let response = await fetch(this.url, {
                method: "POST",
                headers:{
                    'Content-Type': 'application/json',
                },
                body : JSON.stringify(body)
            })
            return await response.json(); 
        }


        const MyHeaders ={
            'Content-Type': 'application/json',
            'Authorization': 'Bearer '+ token
        }
        
        console.log('MY TOKEN ::', token)
        console.log('MY URL ::', this.url)
        console.log('MY HEADER ::', MyHeaders)

        let response = await fetch(this.url, {
            credentials: 'include',
            method: "POST",
            mode: 'cors',
            cache: 'default',
            headers: MyHeaders,
            body : JSON.stringify(body)
        })
        return await response.json(); 

    }
    
    
}

